package fr.inra.pappso.pipeline;

import java.io.File;

import fr.inra.pappso.pep_exception.StopException;
import fr.inra.pappso.sax_parse.msms_output;


public class process extends Thread {

	private String view;

	private boolean stop;

	private String error;

	private File[] files;

	private File save;

	private msms_output out;
	
	private String type_of_process;

	public process() {
		super();
		this.error = "";
		this.setStop(false);
		this.view = "";
		save = new File("");
		out = new msms_output();
		type_of_process = "base";
	}

	public void run() {
		try {
			this.processing();
		} catch (StopException e) {
		} catch (Exception e) {
			e.printStackTrace();
			StackTraceElement[] f = e.getStackTrace();
			this.setError(e.getMessage() + "\nat : " + f[0].toString());
			// print error on screen!!!
			// stopping(""+e);
			this.set_view("Error:\n" + this.getError());
			this.setStop(true);
		}
	}

	private void processing() throws Exception {
		// Ecrire le process et penser à relever des StopException
		this.view = "<p>initialising</p>";
		for (int i = 0; i < files.length; i++) {
			this.view = "<p>Initialising</p>";
			Thread.sleep(1000);
			if (stop)
				throw new StopException("Analysis stopped");
		}

	}

	public void stopping() throws Exception {

		throw new StopException("Stopping");
	}

	public String getView() {
		return (this.view);
	}

	public void set_view(String v) {
		this.view = v;
	}

	public String getError() {
		return (this.error);
	}

	public void setError(String S) {
		this.error = S;
	}

	public void setStop(boolean stop) {
		this.stop = stop;
		this.view = "Stopping...";
	}

	public boolean isStop() {
		return stop;
	}

	public void set_files_to_analysed(File[] files) {
		this.files = files;
	}

	public File[] get_files() {
		return (files);
	}

	public String toString() {
		return ("Process");
	}

	public void setSave(File save) {
		this.save = save;
	}

	public File getSave() {
		return save;
	}
	
	protected msms_output get_out(){
		return (out);
	}

	public void setType_of_process(String type_of_process) {
		this.type_of_process = type_of_process;
	}

	public String getType_of_process() {
		return type_of_process;
	}

}
