package fr.inra.pappso.sax_parse;

import java.io.File;

import org.xml.sax.helpers.DefaultHandler;
import javax.xml.parsers.SAXParserFactory;
import javax.xml.parsers.SAXParser;


public class parse_file {
	private DefaultHandler handler;

	private SAXParserFactory factory;

	private SAXParser saxParser;

	private File file_to_parse;

	public parse_file(DefaultHandler h, File f) throws Exception {
		// on recupere le handler et le fichier à parser
		this.handler = h;
		this.file_to_parse = f;
		if (!this.file_to_parse.exists())
			throw new Exception("The file "
					+ file_to_parse.getAbsolutePath() +" doesn't exist : no parsing possible");
		this.factory = SAXParserFactory.newInstance();
		this.saxParser = factory.newSAXParser();
		this.saxParser.parse(this.file_to_parse, this.handler);
	}

}
