package fr.inra.pappso.class_pep;

import java.io.Serializable;
import java.util.Vector;


public class Fasts_result implements Serializable {

	private static final long serialVersionUID = 5L;

	private String Description;

	private String results;

	private Vector<String> scans;

	private Vector<String> start;

	private Vector<String> stop;

	private String Evalue;

	private float identity;

	private float similarity;

	private int overlap;

	private float score;

	private String database;

	private String protein_seq;

	private boolean contaminant;

	public Fasts_result() {
		scans = new Vector<String>();
		start = new Vector<String>();
		stop = new Vector<String>();
		contaminant = false;
	}

	public String toString() {
		//return (this.database.substring(0, 8)+" - "+this.Description);
		return(this.Description);
	}

	public String getDescription() {
		return Description;
	}

	public void setDescription(String description) {
		Description = description;
	}

	public void setProtein_seq(String protein_seq) {
		this.protein_seq = protein_seq;
	}

	public String getProtein_seq() {
		return protein_seq;
	}

	public String getResults() {
		return results;
	}

	public void setResults(String results) {
		this.results = results;
	}

	public Vector<String> getscans() {
		return scans;
	}

	public void add_Peptides(Pep_result peptide) {
		this.scans.add(peptide.get_Scan());
		peptide.set_use_by_fasts(true);
	}

	public Vector<String> getStart() {
		return start;
	}

	public void add_Start(String start) {
		this.start.add(start);
	}

	public Vector<String> getStop() {
		return stop;
	}

	public void add_Stop(String stop) {
		this.stop.add(stop);
	}

	public String getEvalue() {
		return Evalue;
	}

	public void setEvalue(String evalue) {
		Evalue = evalue;
	}

	public float getIdentity() {
		return identity;
	}

	public void setIdentity(float identity) {
		this.identity = identity;
	}

	public float getSimilarity() {
		return similarity;
	}

	public void setSimilarity(float similarity) {
		this.similarity = similarity;
	}

	public int getOverlap() {
		return overlap;
	}

	public void setOverlap(int overlap) {
		this.overlap = overlap;
	}

	public void setScore(float score) {
		this.score = score;
	}

	public float getScore() {
		return score;
	}

	public void setDatabase(String database) {
		this.database = database;
	}

	public String getDatabase() {
		return database;
	}

	public void setContaminant(boolean contaminant) {
		this.contaminant = contaminant;
	}

	public boolean isContaminant() {
		return contaminant;
	}

}
